New Tumbleweed snapshot 20171229 released!

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

New Tumbleweed snapshot 20171229 released!

Dominique Leuenberger

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20171229

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
  NetworkManager
  accountsservice
  apache2-mod_dnssd
  bash-completion
  drbd-utils (9.0.0 -> 9.2.0)
  evolution (3.26.2 -> 3.26.3)
  evolution-data-server (3.26.2.1 -> 3.26.3)
  evolution-ews (3.26.2 -> 3.26.3)
  festival
  file-roller
  harfbuzz (1.7.2 -> 1.7.4)
  hugin (2016.2.0 -> 2017.0.0)
  icewm
  icinga (1.14.1 -> 1.14.2)
  kde-gtk-config5
  lcms2 (2.8 -> 2.9)
  libgcrypt (1.8.1 -> 1.8.2)
  libqca-qt5
  librsvg (2.40.19 -> 2.40.20)
  libvirt
  obs-service-source_validator (0.7 -> 0.9)
  php7
  protobuf-c (1.1.1 -> 1.3.0)
  sg3_utils
  util-linux (2.30.1 -> 2.31)
  util-linux-systemd (2.30.1 -> 2.31)
  vala (0.38.3 -> 0.38.4)
  vim (8.0.1390 -> 8.0.1417)
  webkit2gtk3 (2.18.3 -> 2.18.4)
  xfce4-notifyd (0.4.0 -> 0.4.1)
  xfce4-panel (4.12.1 -> 4.12.2)
  xfce4-power-manager (1.6.0 -> 1.6.1)
  yast2-add-on (4.0.3 -> 4.0.4)

=== Details ===

==== NetworkManager ====
Subpackages: NetworkManager-devel NetworkManager-lang libnm-glib-vpn1 libnm-glib4 libnm-util2 libnm0 typelib-1_0-NM-1_0 typelib-1_0-NMClient-1_0 typelib-1_0-NetworkManager-1_0

- Add nm-disconnect-proxy-signals.patch: disconnect proxy signals
  when closing; fixes possible crash when opening the user panel
  (bgo#787897).
- Add nm-vpn-remote-connection-disconnect-signals.patch:
  disconnect signal handlers when remote/vpn connections are
  disposed; fixes a gnome-control-center crash (bsc#1073472
  bgo#787893).

==== accountsservice ====
Subpackages: accountsservice-lang libaccountsservice0 typelib-1_0-AccountsService-1_0

- Add remove-no-longer-used-system-accounts.patch:
  Drop operator, nobody4 and noaccess from the blacklist
  (bsc#1063794, fdo#103879).

==== apache2-mod_dnssd ====

-  buildrequire apr-devel instead of libapr1-devel

==== bash-completion ====

- Remove rfkill conflicting with util-linux-2.31.

==== drbd-utils ====
Version update (9.0.0 -> 9.2.0)

- bsc#1074169, Update to 9.2.0
  * Japanese man pages
  * initial vertias cluster agent support
  * quorum integration (including agents)
  * improve drbd9 (mesh)/drbd-proxy integration
  * pull fixups from 9.1.1 branch
  * switch to github
  * drbdmon: page naviagation
  * debian: add mount as dependency

==== evolution ====
Version update (3.26.2 -> 3.26.3)
Subpackages: evolution-lang evolution-plugin-bogofilter evolution-plugin-pst-import evolution-plugin-spamassassin

- Update to version 3.26.3:
  + Workaround bgo#674885 (type initialisation deadlock in
    GObject).
  + [Calendar] set_style_from_attendee(): Prevent crash when
    attendee has no mail set.
  + Drag&drop of multiple messages from message list to composer
    fails.
  + [Composer] Better care of autosave snapshot after
    WebKitWebProcess crash.
  + Bugs fixed: bgo#789648, bgo#700778, bgo#790263, bgo#790326,
    bgo#789526, bgo#789571, bgo#790069, bgo#790291, bgo#680268,
    bgo#790311, bgo#790944, bgo#790666, bgo#790952, bgo#791203.
  + Updated translations.

==== evolution-data-server ====
Version update (3.26.2.1 -> 3.26.3)
Subpackages: evolution-data-server-lang libcamel-1_2-60 libebackend-1_2-10 libebook-1_2-19 libebook-contacts-1_2-2 libecal-1_2-19 libedata-book-1_2-25 libedata-cal-1_2-28 libedataserver-1_2-22 libedataserverui-1_2-1

- Update to version 3.26.3:
  + Extend workaround for bug 674885 (type initialisation deadlock
    in GObject).
  + [CamelOfflineStore] Incorrect disconnect when going online.
  + [SMTP] Recognize rejected credentials during SASL
    authentication.
  + [OAuth2] Enhance how expired or invalid access tokens are
    handled.
  + [CalDAV/CardDAV] Always set error on failed connection attempt.
  + Correct typo in libgweather include directory variable.
  + Correct a failure condition in
    cal_client_init_in_dbus_thread().
  + Bugs fixed: bgo#789147, bgo#790032, bgo#789549, bgo#790267,
    bgo#790759, bgo#790887, bgo#790987.
  + Updated translations.

==== evolution-ews ====
Version update (3.26.2 -> 3.26.3)
Subpackages: evolution-ews-lang

- Update to version 3.26.3:
  + [ECalBackendEws] Prevent crash when item has no MIME content
    set.
  + Updated translations.

==== festival ====

- Replace references to /var/adm/fillup-templates with new
  %_fillupdir macro (boo#1069468)

==== file-roller ====
Subpackages: file-roller-lang

- Add file-roller-ignore-unrar-if-wrapper.patch: Since unrar is
  non-free and it is planned to include a limited wrapper that
  would call unar, we should avoid this wrapper and call unar
  directly (bsc#1072118).
- Add file-roller-rar-file-date.patch: fix wrong file date when
  using rar 5.30 or higher (bgo#758121).
- Add file-roller-unar-dir-critical.patch: fix a warning when
  parsing lsar output (bgo#791505).

==== harfbuzz ====
Version update (1.7.2 -> 1.7.4)
Subpackages: harfbuzz-devel libharfbuzz-icu0 libharfbuzz0 libharfbuzz0-32bit

- Update to version 1.7.4:
  + Fix collect_glyphs() regression caused by hb_set_t changes.
- Changes from version 1.7.3:
  + hb_set_t performance tuning and optimizations.
  + Speed up collect_glyphs() and reject garbage data.
  + In hb_coretext_font_create() set font point-size (ptem).
  + Misc fixes.

==== hugin ====
Version update (2016.2.0 -> 2017.0.0)

- update to final version 2017.0.0
- update to version 2017.0 snapshot from today

==== icewm ====
Subpackages: icewm-config-upstream icewm-default icewm-lang icewm-lite

- Drop our distribution's icewm.desktop and use the one provided by
  IceWM upstream
- Add patch icewm-desktop-nodisplay.patch
  Set NoDisplay for upstream's icewm.desktop since it only starts the
  window manager, icewm-session.desktop (the preferred program to
  start the IceWM system) will be displayed in display manager
  (bsc#1072557)

==== icinga ====
Version update (1.14.1 -> 1.14.2)

- update to upstream version 1.14.2
  * Again, this only affects source installations. Packages are safe.
  * Don't change ownership of STATEDIR
  * Change --with-tmp-{file,path} to default to $localstatedir instead of /tmp

==== kde-gtk-config5 ====
Subpackages: kde-gtk-config5-gtk2 kde-gtk-config5-gtk3 kde-gtk-config5-lang

- Remove kde_gtk_config.suse.sh as it's done by breeze-gtk's
  kconf_update script now

==== lcms2 ====
Version update (2.8 -> 2.9)
Subpackages: liblcms2-2 liblcms2-2-32bit liblcms2-devel

- Update to 2.9
- Drop 0001-Added-an-extra-check-to-MLU-bounds.patch, it is now
  in the upstream code
  * Bugfix release
  + Several fixes related with security, and therefore not detailed here.
  + C++ compiles now without warnings
  + Added OSX and clang in travis
  + Added a travis-ci test matrix for many compilers and OS.
    Thanks to Thomas Weber (debian) for this great improvement.
  + testbed can now work with dynamic versions of library
  + Fixed wrong planar formatters regarding linestride interpretation

==== libgcrypt ====
Version update (1.8.1 -> 1.8.2)
Subpackages: libgcrypt-devel libgcrypt20 libgcrypt20-32bit

- libgcrypt 1.8.2:
  * Fix fatal out of secure memory status in the s-expression
    parser on heavy loaded systems.
  * Add auto expand secmem feature or use by GnuPG 2.2.4

==== libqca-qt5 ====
Subpackages: libqca-qt5-devel libqca-qt5-plugins

- Diversify subpackage descriptions.
- Add patches to support OpenSSL 1.1.0:
  * 0001-Revert-tlsunittest-disable-some-ciphers.patch
  * 0002-Disable-missed-openssl-cipher-suites.patch
  * 0003-Add-support-for-OpenSSL-1.1.0.patch
- Fix provides in main package
- buildignore openssl-1_0_0 to avoid conflicts during the
  openssl 1.1 effort.

==== librsvg ====
Version update (2.40.19 -> 2.40.20)
Subpackages: gdk-pixbuf-loader-rsvg librsvg-2-2 rsvg-thumbnailer typelib-1_0-Rsvg-2_0

- Fix RPM groups, drop redundant %clean section,
  update summaries.
- Update to version 2.40.20:
  + Allow masks and clips to reuse a node being drawn (bgo#761175).
  + Don't access the file system when deciding whether to load a
    remote file with a UNC path for a paint server (i.e. don't try
    to load it at all).
  + Fix generation of Vala bindings when compiling in read-only
    source directories.

==== libvirt ====
Subpackages: libvirt-client libvirt-daemon libvirt-daemon-config-network libvirt-daemon-config-nwfilter libvirt-daemon-driver-interface libvirt-daemon-driver-libxl libvirt-daemon-driver-lxc libvirt-daemon-driver-network libvirt-daemon-driver-nodedev libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu libvirt-daemon-driver-secret libvirt-daemon-driver-storage libvirt-daemon-driver-storage-core libvirt-daemon-driver-storage-disk libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-logical libvirt-daemon-driver-storage-mpath libvirt-daemon-driver-storage-rbd libvirt-daemon-driver-storage-scsi libvirt-daemon-driver-uml libvirt-daemon-driver-vbox libvirt-daemon-lxc libvirt-daemon-qemu libvirt-daemon-xen libvirt-libs

- Close clients before drivers are cleaned up to avoid crash at
  libvirtd stop (bsc#1073730)
  daemon-close-crasher.patch
- Set a hostname on lxc containers based on guest's name.
  lxc-hostname.patch
- Enhance apparmor rules for virt-aa-helper (bsc#1070916)
  0f33025a-virt-aa-helper-handle-more-disk-images.patch

==== obs-service-source_validator ====
Version update (0.7 -> 0.9)

- Update to version 0.9:
  * fixes boo#1072375
  * check *_source.changes if they are valid debian source change files

==== php7 ====
Subpackages: apache2-mod_php7 php7-bcmath php7-bz2 php7-calendar php7-ctype php7-curl php7-dba php7-devel php7-dom php7-exif php7-fastcgi php7-ftp php7-gd php7-gettext php7-gmp php7-iconv php7-imap php7-json php7-ldap php7-mbstring php7-mysql php7-odbc php7-openssl php7-pdo php7-pear php7-pear-Archive_Tar php7-pgsql php7-shmop php7-snmp php7-sockets php7-sqlite php7-sysvsem php7-sysvshm php7-tidy php7-tokenizer php7-wddx php7-xmlreader php7-xmlwriter php7-xsl php7-zlib

- build with SLE12*

==== protobuf-c ====
Version update (1.1.1 -> 1.3.0)

- Update to version 1.3.0:
  * Add test case for the issue in #220 (#254).
  * Fix issue #251, "Bad enums with multiple oneofs" (#256).
  * Add warning flags to my_CFLAGS (#257).
  * Fix namespace errors when compiled with latest protobuf (#280).
  * Bump minimum required header version for proto3 syntax (#282).
  * Relax autoconf constraint from v2.64 to v2.63 so that it works
    on older Linux distros (#233).
  * Fix bigendian -Wunused-label warning (#215).a
  * proto3 support (#228).
  * Remove leftover FIXME comment (#258).
  * Fix proto3 "is zeroish" evaluation (#264).
  * Small cleanup in oneof handling (#265).
  * Rework is_zeroish one more time (#267).
  * proto3: make strings default to "" instead of NULL (#274).
  * CMake: Allow protobuf-c to be included via include_subdirectory
    (#245).
- Changes from version 1.2.1:
  * protoc-c: Generate code that uses the universal zero initializer
    {0} when initializing a oneof union (#187, #205).
- Changes from version 1.2.0:
  * Implement the "optimize_for = CODE_SIZE" option (#183).
  * Eliminate undefined behavior in zigzag functions (#198).
  * Pack negative enum values correctly (#199).
  * Fix protobuf_c_message_get_packed_size() on 16-bit systems
    (#196, #197).
  * Update link to Autotools Mythbuster to canonical site (#201).
  * Skip test suite when cross-compiling (#184).

==== sg3_utils ====
Subpackages: libsgutils2-1_43-2

- sg_inq: check VPD page 0x0 before reading serial number
  (bsc#1067839)
- sg_inq: add option '-o/--only' to skip reading VPD pages
  (bsc#1067839)
- Revert 'postun' rpm spec changes after review
- sg_inq: decode standard INQUIRY for CD-ROMs correctly (bsc#1070431)
- rescan-scsi-bus.sh: new option for ignore rev change
- rescan-scsi-bus.sh: Remove white space
- Add 'coreutils' to Requires (bsc#1072744)
- Add 'posttrans' to rpm spec (bsc#1071972)
- Update to svn r730:
  * Move testing utilities to 'testing' directory
  * sg_opcode: check resid and trim response
  * sg_rep_zones: expand --help option
  * sg_mode: Add Out-of-band management control page
  * sg_ses: filer join output on dpage element presence
  * documentation cleanup
- rescan-scsi-bus.sh: Add '--ignore-rev' option
- Supplement SCSI modaliases (bsc#1065212)
- Update to svn r721:
  * Merge SUSE-specific patches with upstream svn
  * sg_write_atomic: add new program for WRITE ATOMIC
  * sg_bg_ctl: new background control command
  * sg_ses: Improve output and option handling
  * sg_logs: Add --vendor and decode more pages
  * sg_get_lba_status: add new program
  * Install rescan-scsi-bus.sh and scsi_logging_level per default

==== util-linux ====
Version update (2.30.1 -> 2.31)
Subpackages: libblkid-devel libblkid1 libblkid1-32bit libfdisk1 libmount1 libmount1-32bit libsmartcols1 libuuid-devel libuuid1 libuuid1-32bit util-linux-lang

- Update bash completion conflict to cover rfkill file conflict.
- lsmem: Add support for zone awareness (bsc#1065471, FATE#324252,
  util-linux-lsmem-memory-zone-1.patch,
  util-linux-lsmem-memory-zone-2.patch,
  util-linux-lsmem-memory-zone-3.patch).
- Drop util-linux-losetup-Add-support-for-setting-logical-blocksize.patch.
  Different implementations exists in the new kernel, and it has
  a conflicting implementation in util-linux.
- Update to version 2.31:
  * New utilities: uuidparse, rfkill.
  * su has been refactored and extended to create pseudo terminal
    (new option --pty, CVE-2016-2779, bsc#968674). This new
    EXPERIMENTAL feature provides better isolation between root's
    terminal and an unprivileged su.
  * libuuid: Improved to match
  * libuuid, uuidgen: support hash-based UUIDs v3 (md5) and v5
    (sha1) as specified by RFC-4122. Provide UUID templates for
    dns, url, oid, or x500.
  * libblkid: Extended support for DM-integrity, HPE (aka
    extended-XFS) and UBI superblock. New API to hide already
    detected signatures.
  * libfdisk: New API to modify grain, make possible to completely
    disable dialog driven partitioning.
  * libsmartcols: New API to move columns.
  * column: --table-header-repeat to repeat table headers.
  * libfdisk: Use BLKPG ioctls to inform the kernel about changes.
  * fdisk: Improved ^C and ^D behavior.
  * cfdisk: Dialog to resize partition.
  * look: Follow the WORDLIST environment variable.
  * losetup: Added support for --sector-size (FATE#319010).
  * script: Follow the usual semantics for stop/continue signals.
  * setpriv: New command line options --ambient-caps and
  - -init-groups.
  * hwclock: Reduce system shutdown times, log --systz when using
    libaudit.
  * Other bug fixes.
- Drop upstreamed util-linux-use-tinfow.patch.
- Refreshed make-sure-sbin-resp-usr-sbin-are-in-PATH.diff.

==== util-linux-systemd ====
Version update (2.30.1 -> 2.31)

- Update bash completion conflict to cover rfkill file conflict.
- lsmem: Add support for zone awareness (bsc#1065471, FATE#324252,
  util-linux-lsmem-memory-zone-1.patch,
  util-linux-lsmem-memory-zone-2.patch,
  util-linux-lsmem-memory-zone-3.patch).
- Drop util-linux-losetup-Add-support-for-setting-logical-blocksize.patch.
  Different implementations exists in the new kernel, and it has
  a conflicting implementation in util-linux.
- Update to version 2.31:
  * New utilities: uuidparse, rfkill.
  * su has been refactored and extended to create pseudo terminal
    (new option --pty, CVE-2016-2779, bsc#968674). This new
    EXPERIMENTAL feature provides better isolation between root's
    terminal and an unprivileged su.
  * libuuid: Improved to match
  * libuuid, uuidgen: support hash-based UUIDs v3 (md5) and v5
    (sha1) as specified by RFC-4122. Provide UUID templates for
    dns, url, oid, or x500.
  * libblkid: Extended support for DM-integrity, HPE (aka
    extended-XFS) and UBI superblock. New API to hide already
    detected signatures.
  * libfdisk: New API to modify grain, make possible to completely
    disable dialog driven partitioning.
  * libsmartcols: New API to move columns.
  * column: --table-header-repeat to repeat table headers.
  * libfdisk: Use BLKPG ioctls to inform the kernel about changes.
  * fdisk: Improved ^C and ^D behavior.
  * cfdisk: Dialog to resize partition.
  * look: Follow the WORDLIST environment variable.
  * losetup: Added support for --sector-size (FATE#319010).
  * script: Follow the usual semantics for stop/continue signals.
  * setpriv: New command line options --ambient-caps and
  - -init-groups.
  * hwclock: Reduce system shutdown times, log --systz when using
    libaudit.
  * Other bug fixes.
- Drop upstreamed util-linux-use-tinfow.patch.
- Refreshed make-sure-sbin-resp-usr-sbin-are-in-PATH.diff.

==== vala ====
Version update (0.38.3 -> 0.38.4)
Subpackages: libvala-0_38-0

- Update to version 0.38.4:
  + Various bug fixes:
  - Enforce name-length >= 3 for structs using GType
    (bgo#764041).
  - Report error for missing type-parameter on enclosing type
    (bgo#587905).
  - Discover invalid member access to instance field
    (bgo#790903).
  - Improve error output of mismatching overriding methods.
  - vala: Don't transform an explicit "null" into valid
    format-string (bgo#791215).
  - codegen: Don't create null-safe destroy-wrapper for
    GenericType (bgo#791283).
  - Improve error message for missing type-parameter on enclosing
    type (bgo#587905).
  + GIR parser:
  - Allow change of parameter names.
  - Handle metadata for fields inside a transparent union.
  - Accept setters with boolean return-type as valid
    property-accessor.
  - Don't mark simple-type out-parameters with '?' as nullable.
  + Valadoc:
  - Acknowledge possible properties in structs (bgo#784705).
  - Fix fatal typo in GtkdocRenderer.visit_symbol_link()
    (bgo#790266).
  - libvaladoc: Actually resolve "percnt;" to '%'.
  + Bindings:
  - gobject-2.0: Add some missing symbols.
  - gstreamer-1.0: Bind GST_DEBUG_BIN_TO_DOT_FILE/*_WITH_TS
    (bgo#785215).
  - gstreamer-1.0: Update from 1.13+ git master.
  - gtk+-3.0: Update to 3.22.26+9ce824d3.
  - webkit2gtk-4.0: Update to 2.19.2.
  - glib-2.0: Fix potential null pointer dereference in
    string.joinv() (bgo#791257).
  - gobject-2.0: Add missing GType constants for fundamentals
    (bgo#791023).
- Add vala-fix-MessageDialog-constructor-parameter.patch: Mark
  MessageDialog constructor parameter, message_format, as nullable
  (bgo#791570).
- Following the above, add libtool BuildRequires and pass
  autoreconf, make sure vapi deps get regenerated after patch is
  applied.

==== vim ====
Version update (8.0.1390 -> 8.0.1417)
Subpackages: gvim vim-data

- Updated to revision 1417, fixes the following problems
  * Encoding empty string to JSON sometimes gives "null".
  * Build fails with --with-features=huge --disable-channel.
  * Too much highlighting with 'hlsearch' and 'incsearch' set.
  * Cannot intercept a yank command.
  * It is not easy to see if a colorscheme is well written.
  * Memory leak when CTRL-G in search command line fails.
  * Pattern with \& following nothing gives an error.
  * :packadd does not load packages from the "start" directory.
  * Warnings and errors when building tiny version. (Tony Mechelynck)
  * Color scheme check script shows up as color scheme.
  * Cannot build with GTK but without XIM. (Guido)
  * Crash with nasty autocommand. (gy741, Dominique Pelle)
  * Using freed buffer in grep command. (gy741, Dominique Pelle)
  * Invalid memory access on exit when autocommands wipe out a buffer.
  * Duplicated code for getting a typed character. CursorHold is called too
    often in the GUI. (lilydjwg)
  * Difficult to track changes to a quickfix list.
  * GUI: CursorHold may trigger before 'updatetime' when using timers.
  * Crash in setqflist().
  * Buffer overflow in :tags command.
  * Hang when using count() with an empty string.
  * Reading invalid memory with CTRL-W :.
  * Using free memory using setloclist(). (Dominique Pelle)
  * Accessing freed memory in :cbuffer.
  * Accessing freed memory in :lfile.
  * Warning for unused function without timers feature.
  * Crash when searching for a sentence.
  * Test doesn't search for a sentence. Still fails when searching for start
    of sentence. (Dominique Pelle)

==== webkit2gtk3 ====
Version update (2.18.3 -> 2.18.4)
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37 libwebkit2gtk3-lang typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0 webkit2gtk-4_0-injected-bundles

- Update package descriptions.
- Update to version 2.18.4:
  + Make WebDriver implementation more spec compliant.
  + Fix a bug when trying to remove cookies before a web process is
    spawned.
  + WebKitWebDriver process no longer links to
    libjavascriptcoregtk.
  + Fix several memory leaks in GStreamer media backend.
  + Security fixes: CVE-2017-13866, CVE-2017-13870, CVE-2017-7156,
    CVE-2017-13856.

==== xfce4-notifyd ====
Version update (0.4.0 -> 0.4.1)
Subpackages: xfce4-notifyd-lang

- update to version 0.4.1 (09 December 2017):
  This is a feature release.
  Features:
  * Panel plugin features
  * Add hidden option log-icon-size
  * Add button to clear the log (bxo#13955)
  * Revamped layout (DND button on top for quick access)
  * Show placeholder text in case of empty logs
  * Improved notification window layout
  * Add configure option to use autostart instead of dbus (bxo#13989)
  Bugs fixed:
  * Remove deprecated functions (Gtk+ 3.22)
  * Fix warnings reported by Clang (Bug #13931)
  * Treat icon_data only as pen-ultimate fallback option (bxo#13950)
  * Fix warning about gdk_window_get_origin (bxo#13935)
  * Ensure body and summary of notifications are correctly
    ellipsized (bxo#12674)
  * Ensure the panel plugin icon resizes with Xfce 4.12
  * Updated translations
- removed obsolete xfce4-notifyd-0.4.0-fix-build-with-old-gtk3.diff

==== xfce4-panel ====
Version update (4.12.1 -> 4.12.2)
Subpackages: libxfce4panel-1_0-4 libxfce4panel-2_0-4 xfce4-panel-lang

- update to version 4.12.2
  - Feature: Support for RandR's "primary monitor"
  - Translation updates

==== xfce4-power-manager ====
Version update (1.6.0 -> 1.6.1)
Subpackages: xfce4-panel-plugin-power-manager xfce4-power-manager-lang

- update to version 1.6.1:
  New stable release of xfce4-power-manager.
  - plugin:
  - Use libxfce4panel function to obtain desired icon size
  - Fix menu leak, attach menu to button (bxo#13466)
  - Hide label in unknown state (bxo#12851)
  - Add properties dialog (bxo#13270)
  - Set ac-adapter icon for desktop systems (bxo#13959)
  - Hide label by default on desktop systems
  - Block panel autohide if the menu is open
  - Drop deprecated CSS styles
  - Fix xfpm startup dialog ignoring response (bxo#13700)
  - Fix handling of dialog responses for suspend and hibernate
    (bxo#13405)
  - Set the transient hint for notifications
  - Fix scale description and values for light-locker (bxo#13303)
  - Drop period at end of all tooltip texts (bxo#12342)
  - Make tooltip more concise (bxo#12342)
  - When locking fallback to xflock4 first (bxo#12603)
  - Fix a crash when warning about the screenlocker (bxo#12603)
  - Fix showing inhibits in the systray (bxo#12605)
  - Fix the g_object_bindings in xfce-screensaver
  - Handle screensaver activity with it's own class (bxo#12603)
  - Fix GTK 3.20 deprecation warnings
  - Use the kernel-supplied backlight type rather than a whitelist
    (bxo#12553)
  - Add MATE to NotShowIn list (bxo#12506)
  - Translation updates
- add xfce4-power-manager-1.6.1-fix-no-return-in-nonvoid.diff
  (bxo#14104)

==== yast2-add-on ====
Version update (4.0.3 -> 4.0.4)

- Improved error message for adding a product. (bnc#1071173)
- 4.0.4


--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: rfkill man conflict (was: New Tumbleweed snapshot 20171229 released!)

Mykola Krachkovsky
неділя, 31 грудня 2017 р. 15:16:30 EET Dominique Leuenberger написано:
>   util-linux (2.30.1 -> 2.31)
>   util-linux-systemd (2.30.1 -> 2.31)
> ==== bash-completion ====
>
> - Remove rfkill conflicting with util-linux-2.31.
>

There is still manual conflict between rfkill and util-linux:

File /usr/share/man/man8/rfkill.8.gz
 from install of
    rfkill-0.5-8.6.x86_64 (openSUSE-20170510-0)
 conflicts with file from install of
    util-linux-2.31-1.1.x86_64 (openSUSE-20170510-0)



--
Kind regards,
Mykola Krachkovsky
--
Найкращі побажання,
Микола Крачковський

signature.asc (499 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: rfkill man conflict

Frank Krüger
Am 01.01.2018 um 12:57 schrieb Mykola Krachkovsky:

> неділя, 31 грудня 2017 р. 15:16:30 EET Dominique Leuenberger написано:
>>   util-linux (2.30.1 -> 2.31)
>>   util-linux-systemd (2.30.1 -> 2.31)
>> ==== bash-completion ====
>>
>> - Remove rfkill conflicting with util-linux-2.31.
>>
>
> There is still manual conflict between rfkill and util-linux:
>
> File /usr/share/man/man8/rfkill.8.gz
>  from install of
>     rfkill-0.5-8.6.x86_64 (openSUSE-20170510-0)
>  conflicts with file from install of
>     util-linux-2.31-1.1.x86_64 (openSUSE-20170510-0)

FYI: https://bugzilla.opensuse.org/show_bug.cgi?id=1074250

Regards, Frank
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]